Jump to
Ctrl
+
/

Create Batch Transaction Request

POST
/vaults/{vaultId}/transaction-requests/batch

Creates a batch transaction request that groups multiple asset transfers into a single EIP-7702–compliant transaction. The batch supports multiple recipient transfers initiated from a single sender and sponsored by a designated fee payer, enabling all operations to execute automically on supported EVM blockchains - Ethereum, Binance Smart Chain, Optimism, Base, Arbitrum, Polygon.

Path Parameters

vaultId string Required

Sender's Vault ID.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
feePayer object Required

Fee payer data used to resolve blockchain/network

address string Required

Address responsible for paying transaction fees.

assetId string Required

Asset used to pay gas fees.

feePriority string Required

Fee priority of the transaction - slow, standard, fast

note string Required

Represents an note to add a free text in, explaining or providing additional detail on the transaction request.

recipients array Items (object) Required

Destination of the transaction.

address string Required

Recipient address for the transfer.

amount string Required

Amount to transfer.

assetId string Required

Asset identifier being transferred.

senderAddress string Required

Address initiating the batch transaction.

vaultAccountId string Optional

Unique identifier of the Vault Account.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
amountUnit string Required

Indicates the unit in which the transaction amount is expressed.

ETH
feePayer string Required

Address that will cover for the fee.

0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33
feePriority string Required

Fee priority of the transaction - slow, standard, fast.

slow
note string Required

Transaction note with additional details.

yourAdditionalInformationhere
recipients array Items (object) Required

Destination of the transaction.

address string Required

Address of the destination.

0xd2070342a1a5ce24930ec6582b3db846458525a0
amount string Required

Defines the amount sent to the destination address.

0.001
amountUnit string Required

Defines the unit of the received amount for the address, e.g. ETH, BTC, TRX, BNB.

ETH
assetId string Required

Asset identifier being transferred.

6913471c6b2794841dc8fb7e
convertedAmountToUSD string Required

Amount calculated in USD.

3.31
senders object Required

Source of the transaction,

address string Required

Addresses of the sources

0x9b08125f3fb134f0ebb462ccff0f463bcfb4f623
totalTransactionAmountInUsd string Required

Total amount of the transaction in USD.

3.31
transactionRequestId string Required

Represents a unique identifier of the transaction request (the request sent to make a transaction), which helps in identifying which callback and which referenceId concern that specific transaction request.

6980695689a82e0ff4f7edc7
transactionRequestStatus string Required

Defines the status of the transaction, e.g. "created".

created

Callback parameters

walletId string Required

Unique identifier of the wallet associated with the transaction.

685121237d7d1e0007ac1a1d
webhookId string Required

Unique identifier of the webhook that triggered this callback.

68516e9c6620b0a4790ed541
idempotencyKey string Required

A unique key used to prevent duplicate processing of this callback if it's sent more than once.

928fe1786859b5e33a2f63c569a0351e0c90cbe35bc5a7bb0bb1523cd371dda9
apiVersion string Required

The version of the API that this webhook callback conforms.

2025-09-23
data object Required

Contains the event type and all related transaction information.

event string Required

Type of webhook event: TRANSACTION_REQUEST indicates a new transaction request has been created and is pending approval or rejection.

TRANSACTION_REQUEST
item object Required

Contains detailed metadata about the outgoing mined transaction

vaultAccountId string Required

The specific vault account id.

69ba58c529eb49000746b311
assetId string Required

The specific asset id.

6913471c6b2794841dc8fb6f
unit string Required

The specific asset unit.

BTC
requestId string Required

A unique identifier for the original transaction request that initiated this outgoing transaction.

686cd2860ca2f4fd25f77099
transactionType string Required

The type of asset being transferred: COIN, TOKEN, LINKING, SMART_COIN, SMART_TOKEN, FREEZE, UNFREEZE, DELEGATE, UNDELEGATE, WITHDRAW_RESOURCE,BATCH.

COIN

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "amountUnit": "ETH",
            "feePayer": "0xa5bd60af2ed1499ce8292bb2e6c0179dcea34f33",
            "feePriority": "slow",
            "note": "yourAdditionalInformationhere",
            "recipients": [
                {
                    "address": "0xd2070342a1a5ce24930ec6582b3db846458525a0",
                    "amount": "0.001",
                    "amountUnit": "ETH",
                    "assetId": "6913471c6b2794841dc8fb7e",
                    "convertedAmountToUSD": "3.31"
                }
            ],
            "senders": {
                "address": "0x9b08125f3fb134f0ebb462ccff0f463bcfb4f623"
            },
            "totalTransactionAmountInUsd": "3.31",
            "transactionRequestId": "6980695689a82e0ff4f7edc7",
            "transactionRequestStatus": "created"
        }
    }
}
{
    "walletId": "685121237d7d1e0007ac1a1d",
    "webhookId": "68516e9c6620b0a4790ed541",
    "idempotencyKey": "928fe1786859b5e33a2f63c569a0351e0c90cbe35bc5a7bb0bb1523cd371dda9",
    "apiVersion": "2025-09-23",
    "data": {
        "event": "TRANSACTION_REQUEST",
        "item": {
            "vaultAccountId": "69ba58c529eb49000746b311",
            "assetId": "6913471c6b2794841dc8fb6f",
            "unit": "BTC",
            "requestId": "686cd2860ca2f4fd25f77099",
            "transactionType": "COIN"
        }
    }
}